> ## Documentation Index
> Fetch the complete documentation index at: https://developer.pagou.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Balance

> Retrieve the account balance for a legacy v1 integration.



## OpenAPI

````yaml api-reference/openapi-v1.json GET /v1/account/balance
openapi: 3.1.0
info:
  title: API PIX - v1
  description: >-
    API for Pagou.ai Gateway


    Warning: API v1 is legacy and not recommended for new integrations. It
    receives security updates only.
  version: 2.0.0
  contact:
    name: Support
    url: https://pagou.ai
    email: support@pagou.ai
servers:
  - url: https://api.pagou.ai
    description: Production server
  - url: https://api.sandbox.pagou.ai
    description: Sandbox server for testing
security:
  - ApiKeyAuth: []
paths:
  /v1/account/balance:
    get:
      tags:
        - API - Balance
      summary: Get Account Balance
      description: >-
        Get a balance. Waiting funds represent net pending receivables that have
        not settled yet.
      operationId: getAccountBalance
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance:
                    type: integer
                  currency:
                    type: string
                required:
                  - balance
                  - currency
                additionalProperties: false
              example:
                balance: 125043
                currency: BRL
        '422':
          description: Validation error (RFC 7807)
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
              example:
                type: https://api.pagou.ai/problems/validation-error
                title: Validation Error
                status: 422
                detail: The request contains invalid data.
                instance: /v1/account/balance
                errors:
                  - field: transaction.value
                    message: Must be greater than zero.
                    code: invalid_type
        default:
          description: RFC 7807 Problem Details error response
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
              example:
                type: https://api.pagou.ai/problems/unauthorized
                title: Unauthorized
                status: 401
                detail: Authentication failed for GET /v1/account/balance.
                instance: /v1/account/balance
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ValidationProblemDetails:
      allOf:
        - $ref: '#/components/schemas/ProblemDetails'
        - type: object
          properties:
            errors:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  message:
                    type: string
                  code:
                    type: string
                additionalProperties: true
          additionalProperties: true
    ProblemDetails:
      type: object
      description: RFC 7807 Problem Details object.
      properties:
        type:
          type: string
          format: uri-reference
        title:
          type: string
        status:
          type: number
        detail:
          type: string
        instance:
          type: string
          format: uri-reference
      required:
        - type
        - title
        - status
        - detail
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey

````